import { componentQrl, inlinedQrl, useStylesScopedQrl, useComputedQrl, useLexicalScope, useSignal, useVisibleTaskQrl, _jsxC, Slot, _IMMUTABLE, _fnSignal } from "@builder.io/qwik";
import { isEditing } from "../../functions/is-editing.qwik.mjs";
const onClick = function onClick2(props, state, className, blocksWrapperRef) {
  var _a, _b;
  if (isEditing() && !((_a = props.blocks) == null ? void 0 : _a.length))
    (_b = window.parent) == null ? void 0 : _b.postMessage({
      type: "builder.clickEmptyBlocks",
      data: {
        parentElementId: props.parent,
        dataPath: props.path
      }
    }, "*");
};
const onMouseEnter = function onMouseEnter2(props, state, className, blocksWrapperRef) {
  var _a, _b;
  if (isEditing() && !((_a = props.blocks) == null ? void 0 : _a.length))
    (_b = window.parent) == null ? void 0 : _b.postMessage({
      type: "builder.hoverEmptyBlocks",
      data: {
        parentElementId: props.parent,
        dataPath: props.path
      }
    }, "*");
};
const BlocksWrapper = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  useStylesScopedQrl(/* @__PURE__ */ inlinedQrl(STYLES, "BlocksWrapper_component_useStylesScoped_Kj0S9AOXQ0o"));
  const className = useComputedQrl(/* @__PURE__ */ inlinedQrl(() => {
    var _a;
    const [props2] = useLexicalScope();
    return "builder-blocks" + (!((_a = props2.blocks) == null ? void 0 : _a.length) ? " no-blocks" : "");
  }, "BlocksWrapper_component_className_useComputed_J5SSSH2Xf08", [
    props
  ]));
  const blocksWrapperRef = useSignal();
  const state = {};
  useVisibleTaskQrl(/* @__PURE__ */ inlinedQrl(() => {
  }, "BlocksWrapper_component_useVisibleTask_Z6vLhpCjVno"));
  return /* @__PURE__ */ _jsxC(props.BlocksWrapper, {
    ref: blocksWrapperRef,
    get class() {
      return className.value + " props-blocks-wrapper-BlocksWrapper";
    },
    get "builder-path"() {
      return props.path;
    },
    get "builder-parent-id"() {
      return props.parent;
    },
    get style() {
      return props.styleProp;
    },
    onClick$: /* @__PURE__ */ inlinedQrl((event) => {
      const [blocksWrapperRef2, className2, props2, state2] = useLexicalScope();
      return onClick(props2);
    }, "BlocksWrapper_component_onClick_ufezvOupQrM", [
      blocksWrapperRef,
      className,
      props,
      state
    ]),
    onKeyPress$: /* @__PURE__ */ inlinedQrl((event) => {
      const [blocksWrapperRef2, className2, props2, state2] = useLexicalScope();
      return onClick(props2);
    }, "BlocksWrapper_component_onKeyPress_9bz8vCQc3kg", [
      blocksWrapperRef,
      className,
      props,
      state
    ]),
    onMouseEnter$: /* @__PURE__ */ inlinedQrl((event) => {
      const [blocksWrapperRef2, className2, props2, state2] = useLexicalScope();
      return onMouseEnter(props2);
    }, "BlocksWrapper_component_onMouseEnter_j4FJjnLtraQ", [
      blocksWrapperRef,
      className,
      props,
      state
    ]),
    ...props.BlocksWrapperProps,
    children: /* @__PURE__ */ _jsxC(Slot, null, 3, "3u_0"),
    [_IMMUTABLE]: {
      "builder-parent-id": _fnSignal((p0) => p0.parent, [
        props
      ], "p0.parent"),
      "builder-path": _fnSignal((p0) => p0.path, [
        props
      ], "p0.path"),
      class: _fnSignal((p0) => p0.value + " props-blocks-wrapper-BlocksWrapper", [
        className
      ], 'p0.value+" props-blocks-wrapper-BlocksWrapper"'),
      ref: _IMMUTABLE,
      style: _fnSignal((p0) => p0.styleProp, [
        props
      ], "p0.styleProp")
    }
  }, 0, "3u_1");
}, "BlocksWrapper_component_45hR0o6abzg"));
const STYLES = `
.props-blocks-wrapper-BlocksWrapper {
  display: flex;
  flex-direction: column;
  align-items: stretch;
}
`;
export {
  BlocksWrapper,
  STYLES,
  BlocksWrapper as default,
  onClick,
  onMouseEnter
};
