"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const qwik = require("@builder.io/qwik");
const getBlockActions = require("../../../functions/get-block-actions.qwik.cjs");
const getBlockProperties = require("../../../functions/get-block-properties.qwik.cjs");
const InteractiveElement = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const attributes = qwik.useComputedQrl(/* @__PURE__ */ qwik.inlinedQrl(() => {
    const [props2] = qwik.useLexicalScope();
    return props2.includeBlockProps ? {
      ...getBlockProperties.getBlockProperties({
        block: props2.block,
        context: props2.context
      }),
      ...getBlockActions.getBlockActions({
        block: props2.block,
        rootState: props2.context.rootState,
        rootSetState: props2.context.rootSetState,
        localState: props2.context.localState,
        context: props2.context.context
      })
    } : {};
  }, "InteractiveElement_component_attributes_useComputed_0kUhl8Qa4CE", [
    props
  ]));
  return /* @__PURE__ */ qwik._jsxC(props.Wrapper, {
    ...props.wrapperProps,
    get attributes() {
      return attributes.value;
    },
    children: /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "q0_0"),
    [qwik._IMMUTABLE]: {
      attributes: qwik._fnSignal((p0) => p0.value, [
        attributes
      ], "p0.value")
    }
  }, 0, "q0_1");
}, "InteractiveElement_component_0UqfJpjhn0g"));
exports.InteractiveElement = InteractiveElement;
exports.default = InteractiveElement;
