import { componentQrl, inlinedQrl, useComputedQrl, useLexicalScope, _jsxQ, _fnSignal } from "@builder.io/qwik";
import { evaluate } from "../../functions/evaluate/evaluate.qwik.mjs";
const Text = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  const processedText = useComputedQrl(/* @__PURE__ */ inlinedQrl(() => {
    var _a;
    const [props2] = useLexicalScope();
    const context = props2.builderContext;
    const { context: contextContext, localState, rootState, rootSetState } = context;
    return String(((_a = props2.text) == null ? void 0 : _a.toString()) || "").replace(/{{([^}]+)}}/g, (match, group) => evaluate({
      code: group,
      context: contextContext,
      localState,
      rootState,
      rootSetState,
      enableCache: false
    }));
  }, "Text_component_processedText_useComputed_FbQ0o8kZPCU", [
    props
  ]));
  return /* @__PURE__ */ _jsxQ("div", null, {
    class: "builder-text",
    dangerouslySetInnerHTML: _fnSignal((p0) => p0.value, [
      processedText
    ], "p0.value"),
    style: {
      outline: "none"
    }
  }, null, 3, "yO_0");
}, "Text_component_15p0cKUxgIE"));
export {
  Text,
  Text as default
};
