import { componentQrl, inlinedQrl, useComputedQrl, useLexicalScope, _jsxC, Slot, _IMMUTABLE, _fnSignal } from "@builder.io/qwik";
import { getBlockActions } from "../../../functions/get-block-actions.qwik.mjs";
import { getBlockProperties } from "../../../functions/get-block-properties.qwik.mjs";
const InteractiveElement = /* @__PURE__ */ componentQrl(/* @__PURE__ */ inlinedQrl((props) => {
  const attributes = useComputedQrl(/* @__PURE__ */ inlinedQrl(() => {
    const [props2] = useLexicalScope();
    return props2.includeBlockProps ? {
      ...getBlockProperties({
        block: props2.block,
        context: props2.context
      }),
      ...getBlockActions({
        block: props2.block,
        rootState: props2.context.rootState,
        rootSetState: props2.context.rootSetState,
        localState: props2.context.localState,
        context: props2.context.context
      })
    } : {};
  }, "InteractiveElement_component_attributes_useComputed_0kUhl8Qa4CE", [
    props
  ]));
  return /* @__PURE__ */ _jsxC(props.Wrapper, {
    ...props.wrapperProps,
    get attributes() {
      return attributes.value;
    },
    children: /* @__PURE__ */ _jsxC(Slot, null, 3, "q0_0"),
    [_IMMUTABLE]: {
      attributes: _fnSignal((p0) => p0.value, [
        attributes
      ], "p0.value")
    }
  }, 0, "q0_1");
}, "InteractiveElement_component_0UqfJpjhn0g"));
export {
  InteractiveElement,
  InteractiveElement as default
};
